package com.dcs.hnyz.service;

import java.util.List;
import com.dcs.hnyz.domain.EquipmentExtension;
import com.dcs.hnyz.domain.vo.EquipmentExtensionFormVO;
import com.dcs.hnyz.domain.vo.EquipmentLayoutVO;

/**
 * 设备拓展管理Service接口
 * 
 * @author hmy
 * @date 2025-04-23
 */
public interface IEquipmentExtensionService 
{
    /**
     * 查询设备拓展管理
     * 
     * @param id 设备拓展管理主键
     * @return 设备拓展管理
     */
    public EquipmentExtension selectEquipmentExtensionById(Long id);

    /**
     * 查询设备拓展管理列表
     * 
     * @param equipmentExtension 设备拓展管理
     * @return 设备拓展管理集合
     */
    public List<EquipmentExtension> selectEquipmentExtensionList(EquipmentExtension equipmentExtension);

    /**
     * 新增设备拓展管理
     * 
     * @param equipmentExtension 设备拓展管理
     * @return 结果
     */
    public int insertEquipmentExtension(EquipmentExtension equipmentExtension);

    /**
     * 修改设备拓展管理
     * 
     * @param equipmentExtension 设备拓展管理
     * @return 结果
     */
    public int updateEquipmentExtension(EquipmentExtension equipmentExtension);

    /**
     * 批量删除设备拓展管理
     * 
     * @param ids 需要删除的设备拓展管理主键集合
     * @return 结果
     */
    public int deleteEquipmentExtensionByIds(Long[] ids);

    /**
     * 删除设备拓展管理信息
     * 
     * @param id 设备拓展管理主键
     * @return 结果
     */
    public int deleteEquipmentExtensionById(Long id);

    /**
     * 获取设备拓展表单
     * @param equipmentExtensionFormVo
     * @return
     */
    List<EquipmentExtensionFormVO> getEquipmentExtensionFormList(EquipmentExtensionFormVO equipmentExtensionFormVo);

    /**
     * 修改设备拓展表单状态
     * @param equipmentExtension
     * @return
     */
    int changeStatus(EquipmentExtension equipmentExtension);

    List<EquipmentLayoutVO> getLayout(Integer flowId);
}
